using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.BusinessLogicsContracts
{
    public interface IImplementerLogic
    {
        List<ImplementerViewModel>? ReadList(ImplementerSearchModel? Model);
        
        ImplementerViewModel? ReadElement(ImplementerSearchModel Model);
        
        bool Create(ImplementerBindingModel Model);
        
        bool Update(ImplementerBindingModel Model);
        
        bool Delete(ImplementerBindingModel Model);
    }
}
